Summary:	A light and eye-candy dock to launch your programs easily
Name:     	cairo-dock
Version:	3.1.2
Release:	%mkrel 2
License:	GPLv3+
Group:		Graphical desktop/Other
Source:		http://launchpad.net/cairo-dock-core/3.1/%{version}/+download/cairo-dock-%{version}.tar.gz
Patch0:		cairo-dock-3.1.0-link.patch
URL:		https://launchpad.net/cairo-dock-core
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pangox)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	cmake
Suggests:	cairo-dock-plugins = %version
Suggests:	cairo-dock-themes

%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/cairo-dock.1.*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

#---------------------------------------------------------------------
%define major 3
%define libname %mklibname gldi %{major}
%package -n %libname
Summary: Library files for cairo-dock
Group: System/Libraries

%description -n %libname
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the libraries for cairo-dock functions.

%files  -n %libname
%{_libdir}/libgldi.so.%{major}
%{_libdir}/libgldi.so.%{major}.*

#---------------------------------------------------------------------
%package devel
Summary: Development files for cairo-dock
Group: Development/Other
Requires: %name = %version
Requires: %libname = %version

%description devel
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.

%files devel
%{_includedir}/%name
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/*.pc

#---------------------------------------------------------------------
%prep
%setup -qn %name-%version
%patch0 -p0

%build
%cmake -DCMAKE_INSTALL_LIBDIR=lib
%make

%install
%makeinstall_std -C build

%{find_lang} %{name}

mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
convert data/cairo-dock.svg -resize 48x48 %buildroot%_liconsdir/%name.png
convert data/cairo-dock.svg -resize 16x16 %buildroot%_miconsdir/%name.png
convert data/cairo-dock.svg -resize 32x32 %buildroot%_iconsdir/%name.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 347307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 fwang <fwang> 3.1.2-1.mga3
+ Revision: 325077
- new version 3.1.2

* Sun Oct 21 2012 fwang <fwang> 3.1.0-1.mga3
+ Revision: 308633
- new version 3.1.0

* Thu Sep 27 2012 tv <tv> 3.0.2-3.mga3
+ Revision: 298622
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 3.0.2-2.mga3
+ Revision: 298621
- rebuild for new pango

* Sun Jul 08 2012 fwang <fwang> 3.0.2-1.mga3
+ Revision: 268820
- new version 3.0.2

* Wed Jun 06 2012 fwang <fwang> 3.0.1-2.mga3
+ Revision: 256050
- new version 3.0.1

* Fri Nov 04 2011 doktor5000 <doktor5000> 2.4.0_2-2.mga2
+ Revision: 162968
- use versioned Suggests on cairo-dock-plugins

* Sun Oct 30 2011 doktor5000 <doktor5000> 2.4.0_2-1.mga2
+ Revision: 160153
- added comments on the purpose for the new macros
- use same macro for version and tarball source URL
- fix compilation with new glib (glib include error)
  fix-glib-includes.patch from wally
- added comments on the purpose for the new macros
- use same macro for version and tarball source URL
- new minor version 2.4.0~2
- adapted versioning scheme to better reflect upstream version
- update URL for Source, use macros to allow for automatic download
- remove deprecated %%clean section and empty %%defattrs

* Sat Oct 01 2011 fwang <fwang> 2.4.0-1.mga2
+ Revision: 150610
- new version 2.4.0 final

* Wed Aug 31 2011 fwang <fwang> 2.4.0-0.beta2.1.mga2
+ Revision: 136903
- new version 2.4.0 beta2

  + gil <gil>
    - update to 2.3.0~3

* Sun Jun 12 2011 fwang <fwang> 2.3.0-3.mga2
+ Revision: 105105
- add back suggests

* Sun Jun 12 2011 fwang <fwang> 2.3.0-2.mga2
+ Revision: 105039
- drop suggests for now

* Sun Jun 12 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 105004
- fix pc version
- new verison 2.3.0

* Thu Apr 14 2011 ennael <ennael> 2.2.0-1.mga1
+ Revision: 85119
- clean spec file
- imported package cairo-dock

